.traded-in {
  padding: 20px 0;
  color: rgb(51 51 51 / 1);
}

.traded-in_check {
  display: inline-block;
  padding: 12px 0;
}

.traded-in_body {
  max-height: 0;
  overflow: hidden;
  opacity: 0;
  pointer-events: none;
  transition: .4s ease-out;
  transition-property: opacity, top;
  position: relative;
  top: -6px;
}

.traded-in_body.show {
  overflow: visible;
  opacity: 1;
  top: 0;
  pointer-events: auto;
  max-height: 9999px;
}

.traded-in_form {
  padding: 20px;
  border: 2px solid #dfdedf;
  border-radius: 8px;
  margin-bottom: 24px;
  background: #f8f9f9;
  filter: drop-shadow(0px 4px 16px rgba(0, 0, 0, 0.12));
}

.traded-in_row {
  display: flex;
  align-items: center;
  gap: .5rem;
  margin-bottom: 1rem;
}

.traded-in_row:last-child {
  margin-bottom: 0;
}

.traded-in_col:first-child {
  flex: 0 0 10rem;
  width: 10rem;
}

.traded-in_col:last-child {
  flex: 0 0 calc(100% - 10.5rem);
  width: calc(100% - 10.5rem);
}

.traded-in_col .input {
  width: 100%;
}

.traded-in_context {
  margin-bottom: 1rem;
}

.traded-in_link {
  display: inline-block;
  font-weight: 500;
  color: #009CDE;
}

.traded-in_foot {
  display: none;
  padding: 0 22px;
}

.traded-in_foot.show {
  display: block;
}

.traded-in_caption {
  font-size: 24px;
  font-weight: 300;
  margin-bottom: 12px;
}

.input {
  width: 12rem;
  padding: 10px;
  border-radius: 4px;
  border: 1px solid rgb(209 213 219 / 1);
  color: rgb(112 115 117 / 1);
}

.text-warning {
  color: #FFB81C;
}

.text-danger {
  color: #DF1995;
}